// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Engine/GameInstance.h"
#include "Http.h"
#include "EVGameInstance.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API UEVGameInstance : public UGameInstance
{
	GENERATED_BODY()

public:
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Telemetry")
	FString GlobalSessionID = "AAAAA";

protected:
	virtual void OnStart() override;

private:
	void IsValidSessionID(const FString& SessionID);
	void OnResponseReceived(FHttpRequestPtr Request, FHttpResponsePtr Response, bool bConnectedSuccessfully);
};
